package com.xinelu.manage.mapper.trainingcategory;


import com.xinelu.manage.domain.trainingcategory.TrainingCategory;

import java.util.List;

/**
 * 学习培训分类Mapper接口
 *
 * @author xinyilu
 * @date 2023-04-20
 */
public interface TrainingCategoryMapper {
    /**
     * 查询学习培训分类
     *
     * @param id 学习培训分类主键
     * @return 学习培训分类
     */
    TrainingCategory selectTrainingCategoryById(Long id);

    /**
     * 查询学习培训分类列表
     *
     * @param trainingCategory 学习培训分类
     * @return 学习培训分类集合
     */
    List<TrainingCategory> selectTrainingCategoryList(TrainingCategory trainingCategory);

    /**
     * 新增学习培训分类
     *
     * @param trainingCategory 学习培训分类
     * @return 结果
     */
    int insertTrainingCategory(TrainingCategory trainingCategory);

    /**
     * 修改学习培训分类
     *
     * @param trainingCategory 学习培训分类
     * @return 结果
     */
    int updateTrainingCategory(TrainingCategory trainingCategory);

    /**
     * 删除学习培训分类
     *
     * @param id 学习培训分类主键
     * @return 结果
     */
    int deleteTrainingCategoryById(Long id);

    /**
     * 批量删除学习培训分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteTrainingCategoryByIds(Long[] ids);

    /**
     * 查询学习培训分类
     *
     * @param ids 学习培训分类主键
     * @return 学习培训分类
     */
    List<TrainingCategory> selectTrainingCategoryByIds(Long[] ids);
}